Risultati ricerca

  1. rpor66

    Come faccio ad inserire nel disegno dei blocchi con un n. variabile di attributi?

    (setq ListaAtt (fnListaAttDaBlocco nomeblok)) carica il blocco, ritorna la lista dei TAG con relativo valore (tag . valore)
  2. rpor66

    Linea ortogonale rispetto alla linea di origine

    comando: LP2E 1) selezioni la linea per l'estensione 2) indichi il punto sulla linea dove bisogna creare quella ortogonale Logica: creo una linea ortogonale nel punto cliccato di L=2, cerco il punto di intersezione con la linea di estensione, disegno la linea, cancello la linea L=2. Saluti
  3. rpor66

    Stringa troppo lunga

    Non hai allegato: UTILITA.lsp muro_prova_2.dcl relativo a Muro_prova_2.lsp muro_prova.dcl relativo a Muro_prova.lsp
  4. rpor66

    Creare rettangoli in AutoCAD inserendo le dimensioni in Excel

    Il file excel contiene la macro per leggere i rettangoli dal dwg e compilare il foglio DATI con base e altezza. In vba, strumenti/riferimenti, aggiungi la libreria relativa alla tua versione di Autocad. Saluti
  5. rpor66

    SOMMA/SOTTRAZIONE DI UN NUMERO A TESTI (NUMERI)

    Il comando esplodi trasforma il testo multilinea in testo normale
  6. rpor66

    Selezione automatica di punti

    Nei tuoi precedenti post hai sicuramente affrontato la tematica del comando SSGET, quindi, scusami, non capisco il senso del post.
  7. rpor66

    Hatch e Tratteggio

    La lettera C è solo la pagina corrente del link. Il comando getcname, che non conoscevo, fa al tuo caso. Ad ogni modo (command "_HATCH" "NomeStile" scala angolo "_last" "")) riempie una polilinea appena disegnata
  8. rpor66

    Hatch e Tratteggio

    https://www.professionearchitetto.it/cad/ita-eng/?pag=C
  9. rpor66

    Sostiuire un' entità in un blocco

    <Grazie, può essere una buona soluzione ma io devo lanciare il comando tantissime volte.> Quindi, cosa hai risolto?
  10. rpor66

    Sostiuire un' entità in un blocco

    Non è più semplice sostituire i blocchi con quelli aggiornati? La puoi eseguire tramite uno script su tutti i file necessari. "Ho il nome di tutte le entità coinvolte"; cosa intendi? è un testo, una linea, cosa? Da sostituire con una equivalente o di tipo diverso? Se scendi nel dettaglio è più...
  11. rpor66

    AutoCAD 2012 licenza permanente che non si attiva più

    Queste clausole inserite sarebbero tutte da verificare, un conto è dire che Autocad2012 non viene più supportato, un altro è eliminare la possibilità di usarlo, sono due concetti molto diversi tra loro.
  12. rpor66

    AutoCAD 2012 licenza permanente che non si attiva più

    Una licenza "perpetua" che scade? fa ridere questa cosa, mi dispiace leggere che c'è chi giustifica questa aberrazione. Purtroppo fare causa è ormai improponibile ma ci starebbe tutta.
  13. rpor66

    Somma da selezione testi

    Ho aggiunto il comando SottraiTesti sfruttando il codice esistente, sistemato i rientri.
  14. rpor66

    Caricare ed utilizzare u tipo di linea

    Quando incontri un comando tipo (command ......) per verificare il funzionamento lo puoi fare passo passo; se digiti (command "_change") parte il comando e ti chiede quello che serve, nel caso specifico la selezione, la conferma della selezione, cosa cambiare (PR), quale proprietà (LT), il nome...
  15. rpor66

    Caricare ed utilizzare u tipo di linea

    (command "_change" GruppoSelezione "" "_PR" "_LT" NuovoTipoLinea "") oppure (setq vlaobj (vlax-ename->vla-object NomeEntita)) (vlax-put-property vlaobj "linetype" NuovoTipoLinea)
  16. rpor66

    Quote relative ad un nuovo punto 0

    A parer mio, creati un dwg nuovo, inserisci il rilievo come xref e sposti il punto in questione a quota z=0, il tuo rilievo rimane tale e quale, il cliente avrà la lettura delle quote come meglio crede.
  17. rpor66

    Selezione dell'elemento con dati estesi

    Hai il gruppo di selezione ss, fai un loop e tramite (redraw ename 3) le evidenzi.
  18. rpor66

    Piccola Info win 11

    (vl-filename-directory (vl-filename-mktemp "TEMP")) restituisce la dir TEMP dell'utente corrente (setq PathDesktop (vl-registry-read "HKEY_CURRENT_USER\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\User Shell Folders" "Desktop")) restituisce la directory Desktop
  19. rpor66

    Parametri Campo dati

    non ne ho idea Saluti
  20. rpor66

    Parametri Campo dati

    ok, edita il campo con il valore 6, nel riquadro formula clicca con il pulsante destro e inserisci il campo object, seleziona la linea dello spessore e moltiplica per 10

Utenti online

Statistiche forum

Discussioni
56,193
Messaggi
479,441
Utenti registrati
97,316
Ultimo utente registrato
GREGIOVA

Top